org.apache.ignite.internal.processors.cache.persistence

## Interface Storable

All Known Subinterfaces:
  CacheDataRow

All Known Implementing Classes:
  CacheDataRowAdapter, DataRow, MetastorageDataRow

    public interface Storable

Simple interface for data, store in some RowStore.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `link()`
`void` `link(long link)`
`int` `partition()`

### Method Detail

#### link

    void link(long link)

Parameters:
  `link` - Link for this row.

#### link

    long link()

Returns:
  Link for this row.

#### partition

    int partition()

Returns:
  Partition.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018